For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Authentication
    • Device
      • POSTfeature engineCutoff
      • POSTcreatedevice
      • POSTdeletedevice
      • POSTupdatedevice
      • GETdiagnosticall
      • GETgetallDevices
      • GETfirmwareUpdate
      • POSTupdateAddress
      • GETgetDevice
      • GETlatest
      • GETdiagnostic
      • GETlostVehicles
      • GETsend
      • GETgetDeviceActivations
      • GETcreateActivation
      • POSTfeature cargoAccess
      • GETdeviceMetadata
      • POSTupdatedevice cargoAccess
      • POSTupdatedevice engineCutoff
      • GETdeviceData
      • GETgetDeviceActivations range
      • GETdeviceData range
    • User
    • Geozone
    • Fleets
    • Notifications
    • Routes
    • Passengers
    • Account Status
    • Nukio SDK
LogoLogo
Nukio APIDevice

deviceData range

||View as Markdown|
GET
https://app.nukio.mx/api/v1/eventdata/devicedata/:deviceID/:statusCode/:startTime/:endTime/:intervalStart/:intervalSize/authorization
GET
/api/v1/eventdata/devicedata/:deviceID/:statusCode/:startTime/:endTime/:intervalStart/:intervalSize/authorization
$curl https://app.nukio.mx/api/v1/eventdata/devicedata/01/*/0/0/1/5/authorization \
> -H "authorization: <apiKey>"
200Device_deviceData range_example
1{
2 "success": "1",
3 "geozones": {},
4 "metadata": [],
5 "status_code": "200"
6}
Was this page helpful?
Previous

getDeviceActivations range

Next

Overview

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

deviceIDstringRequired
Device ID number
statusCodestringRequired

Status code in decimal (use * as wildcard}

startTimestringRequired

start time of the events to call on EPOCH (use 0 as wildcard)

endTimestringRequired

end time of the events to call on EPOCH (use 0 as wildcard)

intervalStartstringRequired
Interval start range
intervalSizestringRequired
Interval end range

Response headers

pragmastring
:statusstring
expiresstring
accept-rangesstring
cache-controlstring
x-frame-optionsstring
x-xss-protectionstring
x-application-contextstring
x-content-type-optionsstring

Response

OK
successstring
geozonesobject
metadatalist of any
status_codestring